# H225_RegistrationConfirm Class Reference

`#include <h225.h>`

Inheritance diagram for H225_RegistrationConfirm:

List of all members.

## Public Types

enum

OptionalFields {
e_nonStandardData, e_terminalAlias, e_gatekeeperIdentifier, e_alternateGatekeeper,
e_timeToLive, e_tokens, e_cryptoTokens, e_integrityCheckValue,
e_willRespondToIRR, e_preGrantedARQ, e_maintainConnection, e_serviceControl,
e_supportsAdditiveRegistration, e_terminalAliasPattern, e_supportedPrefixes, e_usageSpec,
e_featureServerAlias, e_capacityReportingSpec, e_featureSet, e_genericData,
e_assignedGatekeeper, e_rehomingModel, e_transportQOS
}

## Public Member Functions

| H225_RegistrationConfirm (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_RequestSeqNum | m_requestSeqNum
H225_ProtocolIdentifier | m_protocolIdentifier
H225_NonStandardParameter | m_nonStandardData
H225_ArrayOf_TransportAddress | m_callSignalAddress
H225_ArrayOf_AliasAddress | m_terminalAlias
H225_GatekeeperIdentifier | m_gatekeeperIdentifier
H225_EndpointIdentifier | m_endpointIdentifier
H225_ArrayOf_AlternateGK | m_alternateGatekeeper
H225_TimeToLive | m_timeToLive
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
PASN_Boolean | m_willRespondToIRR
H225_RegistrationConfirm_preGrantedARQ | m_preGrantedARQ
PASN_Boolean | m_maintainConnection
H225_ArrayOf_ServiceControlSession | m_serviceControl
PASN_Null | m_supportsAdditiveRegistration
H225_ArrayOf_AddressPattern | m_terminalAliasPattern
H225_ArrayOf_SupportedPrefix | m_supportedPrefixes
H225_ArrayOf_RasUsageSpecification | m_usageSpec
H225_AliasAddress | m_featureServerAlias
H225_CapacityReportingSpecification | m_capacityReportingSpec
H225_FeatureSet | m_featureSet
H225_ArrayOf_GenericData | m_genericData
H225_AlternateGK | m_assignedGatekeeper
H225_RehomingModel | m_rehomingModel
H225_TransportQOS | m_transportQOS

## Member Enumeration Documentation

enum H225_RegistrationConfirm::OptionalFields

Enumerator:

  e_nonStandardData |
  e_terminalAlias |
  e_gatekeeperIdentifier |
  e_alternateGatekeeper |
  e_timeToLive |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_willRespondToIRR |
  e_preGrantedARQ |
  e_maintainConnection |
  e_serviceControl |
  e_supportsAdditiveRegistration |
  e_terminalAliasPattern |
  e_supportedPrefixes |
  e_usageSpec |
  e_featureServerAlias |
  e_capacityReportingSpec |
  e_featureSet |
  e_genericData |
  e_assignedGatekeeper |
  e_rehomingModel |
  e_transportQOS |

## Constructor & Destructor Documentation

H225_RegistrationConfirm::H225_RegistrationConfirm | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_RegistrationConfirm::GetDataLength | ( |  | ) | const

PBoolean H225_RegistrationConfirm::Decode | ( | PASN_Stream & | strm | ) |

void H225_RegistrationConfirm::Encode | ( | PASN_Stream & | strm | ) | const

void H225_RegistrationConfirm::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_RegistrationConfirm::Compare | ( | const PObject & | obj | ) | const

PObject* H225_RegistrationConfirm::Clone | ( |  | ) | const

## Member Data Documentation

H225_RequestSeqNum H225_RegistrationConfirm::m_requestSeqNum

H225_ProtocolIdentifier H225_RegistrationConfirm::m_protocolIdentifier

H225_NonStandardParameter H225_RegistrationConfirm::m_nonStandardData

H225_ArrayOf_TransportAddress H225_RegistrationConfirm::m_callSignalAddress

H225_ArrayOf_AliasAddress H225_RegistrationConfirm::m_terminalAlias

H225_GatekeeperIdentifier H225_RegistrationConfirm::m_gatekeeperIdentifier

H225_EndpointIdentifier H225_RegistrationConfirm::m_endpointIdentifier

H225_ArrayOf_AlternateGK H225_RegistrationConfirm::m_alternateGatekeeper

H225_TimeToLive H225_RegistrationConfirm::m_timeToLive

H225_ArrayOf_ClearToken H225_RegistrationConfirm::m_tokens

H225_ArrayOf_CryptoH323Token H225_RegistrationConfirm::m_cryptoTokens

H225_ICV H225_RegistrationConfirm::m_integrityCheckValue

PASN_Boolean H225_RegistrationConfirm::m_willRespondToIRR

H225_RegistrationConfirm_preGrantedARQ H225_RegistrationConfirm::m_preGrantedARQ

PASN_Boolean H225_RegistrationConfirm::m_maintainConnection

H225_ArrayOf_ServiceControlSession H225_RegistrationConfirm::m_serviceControl

PASN_Null H225_RegistrationConfirm::m_supportsAdditiveRegistration

H225_ArrayOf_AddressPattern H225_RegistrationConfirm::m_terminalAliasPattern

H225_ArrayOf_SupportedPrefix H225_RegistrationConfirm::m_supportedPrefixes

H225_ArrayOf_RasUsageSpecification H225_RegistrationConfirm::m_usageSpec

H225_AliasAddress H225_RegistrationConfirm::m_featureServerAlias

H225_CapacityReportingSpecification H225_RegistrationConfirm::m_capacityReportingSpec

H225_FeatureSet H225_RegistrationConfirm::m_featureSet

H225_ArrayOf_GenericData H225_RegistrationConfirm::m_genericData

H225_AlternateGK H225_RegistrationConfirm::m_assignedGatekeeper

H225_RehomingModel H225_RegistrationConfirm::m_rehomingModel

H225_TransportQOS H225_RegistrationConfirm::m_transportQOS

The documentation for this class was generated from the following file:

- h225.h